%define module_version 0.03
%define module_name AnyEvent-Inotify-Simple
%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(Data/Dump/Streamer.pm) perl(Directory/Scratch.pm) perl(EV.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Next.pm) perl(Linux/Inotify2.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(MooseX/Declare.pm) perl(MooseX/FileAttribute.pm) perl(MooseX/Types.pm) perl(MooseX/Types/Moose.pm) perl(MooseX/Types/Path/Class.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(namespace/autoclean.pm) perl(namespace/clean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: monitor a directory tree in a non-blocking way
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/R/RO/ROBN/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module is a wrapper around the Linux::Inotify2 manpage that integrates it
with an the AnyEvent manpage event loop and makes monitoring a directory
simple.  Provide it with a `directory', `event_receiver'
(the AnyEvent::Inotify::Simple::EventReceiver manpage), and an optional coderef
`filter', and it will monitor an entire directory tree.  If something
is added, it will start watching it.  If something goes away, it will
stop watching it.  It also converts `IN_MOVE_FROM' and `IN_MOVE_TO'
into one virtual event.

Someday I will write more, but that's really all that happens!


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/A*

%changelog
* Mon Jun 23 2014 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- regenerated from template by package builder

* Mon May 26 2014 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

